/* Aran, an XNA-compliant .NET automated planning framework
 * Copyright (C) 2008 Abel Garca Plaza
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

using System;

namespace Aran.Planning.Xml.Command {

    /// <summary>
    /// Represents a <see cref="XmlPlannerCommand">command line XML planner</see> exit code.
    /// </summary>
    [CLSCompliant(true)]
    [Serializable]
    public static class XmlPlannerCommandExitCode {

        #region Fields

        /// <summary>
        /// No problems found.
        /// </summary>
        public const int AllOk = 0;

        /// <summary>
        /// Plan not found.
        /// </summary>
        public const int PlanNotFound = -1;

        /// <summary>
        /// Invalid arguments found.
        /// </summary>
        public const int InvalidArguments = -2;

        /// <summary>
        /// Translation error occur.
        /// </summary>
        public const int TranslationError = -3;

        /// <summary>
        /// Export error occur.
        /// </summary>
        public const int ExportError = -4;

        /// <summary>
        /// Internal error occur.
        /// </summary>
        public const int InternalError = -5;

        #endregion

    }

}
