/* Aran, an XNA-compliant .NET automated planning framework
 * Copyright (C) 2008 Abel Garca Plaza
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

using System;

namespace Aran.Planning.Xml {

    /// <summary>
    /// Represents an <see cref="XmlPlannerMessage">planner message</see> type.
    /// </summary>
    [CLSCompliant(true)]
    [Serializable]
    public enum XmlPlannerMessageType {

        #region Fields

        /// <summary>
        /// The message refers to a parser error.
        /// </summary>
        ParserError,

        /// <summary>
        /// The message refers to an XML document error.
        /// </summary>
        Error,

        /// <summary>
        /// The message refers to an XML document warning.
        /// </summary>
        Warning

        #endregion

    }

}
