/* Aran, an XNA-compliant .NET automated planning framework
 * Copyright (C) 2008 Abel Garca Plaza
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

using System;

namespace Aran.Representation.Xml {

    /// <summary>
    /// Represents an <see cref="Object">object</see> defined within an XML input document and locatable via its xpath.
    /// </summary>
    [Serializable]
    [CLSCompliant(true)]
    public abstract class XmlLocatable {

        #region Fields

        /// <summary>
        /// The xpath.
        /// </summary>
        private readonly string _xpath;

        #endregion

        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="XmlLocatable"/> class.
        /// </summary>
        /// <param name="xpath">The xpath.</param>
        protected internal XmlLocatable(string xpath) {
            _xpath = xpath;
        }

        #endregion

        #region Properties

        /// <summary>
        /// Gets the xpath.
        /// </summary>
        /// <value>The xpath.</value>
        public string XPath {
            get {
                return _xpath;
            }
        }

        #endregion

    }

}
